# EventBuffer::unlock

(PECL event >= 1.2.6-beta)

EventBuffer::unlock — Releases lock acquired by EventBuffer::lock

### Description

public EventBuffer::unlock ( void ) : bool

Releases lock acquired by EventBuffer::lock() .

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBuffer::lock() - Acquires a lock on buffer